
/* chelsea-market-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Chelsea Market';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/chelsea-market-v14-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/oswald-v57-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* marcellus-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Marcellus';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/marcellus-v14-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* londrina-sketch-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "Londrina Sketch";
    font-style: normal;
    font-weight: 400;
    src: url("fonts/londrina-sketch-v27-latin-regular.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

*{
    margin: 0;
    padding: 0;
}

html{
    scroll-behavior: smooth;
}


/*Navigationsleiste*/
.navbar{
    z-index: 999;
    background: linear-gradient(rgba(96, 96, 96, 0.78), rgba(0, 0, 0, 0));
    display: flex;
    justify-content: center;
    width: 100%;
    padding-bottom: 20px;
}

ul{
    height: 100%;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    list-style: none;
}

li a{
    padding: 10px 70px;
    font-size: 30px;
    text-decoration: none;
    color: white; 
    height: 100%;
    display: flex;
    align-items: center;
}

a.klein{
    font-size: 50px;
    color: rgb(255, 255, 255);
}

a.active{
    color: rgb(151, 119, 179);
}

li a:hover{
    color: rgb(151, 119, 179);
    font-size: 3em;
    transition: 400ms;
}

a.klein:hover{
    color: rgb(151, 119, 179);
        font-size: 4em;
        transition: 400ms;
}

        @media (max-width: 1400px){
            li a{
                font-size: 20px;
                padding: 5px 50px;
            }
        }

        @media (max-width: 1200px){
            li a{
                font-size: 20px;
                padding: 5px 20px;
            }
        }

        @media (max-width: 800px){
            li a{
                font-size: 20px;
                padding: 5px 10px;
            }
        }

        @media (max-width: 600px){
            ul{
                display:block;
                text-align: left;
            }

            li a{
                font-size: 15px;
                justify-content: left;
                padding: 5px 20px;
            }

            a.klein{
                font-size: 15px;
            }

            a.active {
            color: rgb(151, 119, 179);
            }
            }

/*Navigationsleiste*/



body{
    font-family: Oswald;
    margin: 0;
    padding: 0;
    
    background-image: url(bilder/webBG_extended_wider_radial.png);
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
    overflow-x:hidden;
}



.container-all{
    width:min(90%,4000px);
    margin:auto;
}



.portfolio-intro-text-container{
    font-family: marcellus;
    width:min(90%,1200px);
    margin:150px auto 0;
}

.portfolio-intro-text-container h3{
    font-size: clamp(20px, 0.5vw, 25px);   
    color: rgb(61, 61, 61);
}

.portfolio-intro-text{
    line-height: 25px;
    max-width: 350px;
    color: rgb(73, 73, 73);
    margin-top: 20px;
    font-size: clamp(15px, 1vw, 20px);
}

        @media (max-width: 600px){
            .portfolio-intro-text-container{
                margin: 100px 10px 0 20px;
            }
        }






h2{
    font-family: Chelsea Market;
    color: rgb(72, 63, 181);
    font-size:clamp(2rem,3vw,3.5rem);   
    padding: 20px 0 10px 0;
    width: 100%;
    text-align: center;
    margin-top: 80px;
}

.seemore{
    text-align: center;
    color: rgb(73, 73, 73);
    margin-bottom: 20px;
    margin-top: 20px;
    font-family: marcellus;
}



.karussell { 
    align-items: center;
    display: flex;
    
    width: min(95%, 4000px);
    margin: 0 auto;   
    
    overflow-x: auto;
    scroll-behavior: smooth;
    scrollbar-width: 2px;
    position: relative;
   
}

.karussell::-webkit-scrollbar {
    display: none;
    scroll-behavior: smooth;
    scrollbar-width: thin;
}





figure{
    margin: 20px;
    position: relative;
    align-content: center;
}

figure img{
    height: 60vh;
    width: auto;
    clip-path: inset(0 round 20px);
}

.gallery figcaption{
    font-family: Marcellus;
    position: absolute;
    font-size: clamp(16px, 1.5vw, 20px);
    padding: clamp(8px, 1vw, 20px);
    bottom: 5px;
    color: rgb(255, 255, 255, 0);
}

.gallery figure:hover{
    figcaption{
        color: rgb(255, 255, 255);
        background: linear-gradient(to right, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0));
        clip-path: inset(0 round 20px);
    }
}






    .lightbox {
        z-index: 1000;
        display: none;
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.94);

        justify-content: center;
        align-items: center;
    }

    .lightbox a {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
    }

    .lightbox img {
        height: auto;
        width: auto;

        max-width: 80%;
        max-height: 80%;

        justify-content: center;
        align-items: center;

        margin-left: auto;
        margin-right: auto;
        display: block;

        clip-path: none;
    }

    .lightbox:target {
        display: flex;
        justify-content: center;
        align-items: center;
    }








h1{
    color: #d2d2d2;
    font-size:clamp(3rem,7vw,7rem);
    text-align: center;
    margin: 200px 0 30px 0;
}

p.projects{
    text-align: center;
    color: #d2d2d2;
    font-family: marcellus;
    margin: 100px 0 300px 0;
}








/*footer*/
.footer{
    /*
    border-block-start: solid;
    border-block-start-style: inset;
    border-block-start-color: rgb(117, 125, 229);
    border-block-start-width: 10px;
    */
    
    color: rgb(255, 255, 255);
    padding: 30px;
    display: flex; 
    flex-direction: column;
    align-items: center;
    background-color: rgb(54, 58, 106);
    height: 400px;
}

.footer h3{
    font-size: 35px;
    font-weight: 100;
    
    margin-top: 80px;
}

.footer p{
    margin: 20px 0 20px 0;
    width: 300px;
    font-family: marcellus;
    font-size: 13px;
    line-height: 1.5em;
    text-align: center;
}

.footer a{
    height: 20px;
    padding: 20px;
}

.footer ul{
    font-family: marcellus;
    font-size: 10px;
    display: flex;
    justify-content: center;
    height: fit-content;
    width: 100%;
    margin-top: auto;
    gap: 20px;
}

.footer li{
    text-align: center;
}

        @media (max-width:600px){
            .footer ul{
             gap: 10px;   
            }
        }
/*footer*/




/*text schatten
    color: rgb(255, 255, 255);
    text-shadow: 
        -0.5px -0.5px 0 rgb(131, 139, 235),
         0.5px -0.5px 0 rgb(131, 139, 235),
        -0.5px  0.5px 0 rgb(131, 139, 235),
         0.5px  0.5px 0 rgb(131, 139, 235); 
text schatten*/